{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  environment.systemPackages = with pkgs; [
    powertop
  ];

  # pcie_aspm=force pcie_aspm.policy=powersupersave :: Enable PCIe active state power management for power reduction.
  # nowatchdog :: Disable watchdog for power savings (related to disable_sp5100_watchdog above).
  boot.kernelParams = [
    "pcie_aspm=force"
    # "pcie_aspm.policy=powersupersave"
    "nowatchdog"
  ];

  # systemd.tmpfiles.rules = [
  #   "w- /sys/firmware/acpi/platform_profile - - - - low-power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy0/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy1/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy2/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy3/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy4/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy5/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy6/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy7/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy8/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy9/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy10/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy11/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy12/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy13/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy14/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy15/energy_performance_preference - - - - power"
  # ];

  boot.extraModprobeConfig = ''
    options snd_hda_intel power_save=1
  '';
}
